JavaScript
import Ivy from '@getivy/node-sdk';
const client = new Ivy({
apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
});
const subscription = await client.webhook.subscription.delete({ id: {} });
console.log(subscription.success);curl --request POST \
--url https://api.getivy.de/api/service/webhook-subscription/delete \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"id": "<unknown>"
}
'import requests
url = "https://api.getivy.de/api/service/webhook-subscription/delete"
payload = { "id": "<unknown>" }
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"success": true
}Webhook-Subscription
Delete a webhook subscription
Deletes a webhook subscription.
POST
/
api
/
service
/
webhook-subscription
/
delete
JavaScript
import Ivy from '@getivy/node-sdk';
const client = new Ivy({
apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
});
const subscription = await client.webhook.subscription.delete({ id: {} });
console.log(subscription.success);Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
application/json
The unique identifier of the webhook subscription to delete
Response
200 - application/json
Returns success if deleted, an error otherwise.
Whether the webhook subscription was successfully deleted
Was this page helpful?
⌘I